Subject: Re: bug#54487: 29.0.50; connection-local value for `shell-file-name' not set in Dired buffers over Tramp

From: Jim Porter <[email-masked]>
Date: Wed, 23 Mar 2022 09:55:58 -0700

On 3/23/2022 4:53 AM, Michael Albinus wrote:
> I've checked the needed changes, and it would be too invasive. In
> grep.el, host specific settings are computed by global variables.
> Furthermore, the compilation buffer is created only after computing
> these settings.

Thanks for looking into it. I'm looking at doing this for a similar 
package, so if I can come up with a solution there, maybe I can see 
about porting it to grep.el too. If I come up with a simple way to do 
this, I'll just file another bug with a patch though.